import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { CrMsgLog } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-12 15:49
 */
interface CrMsgLogCU extends ConditionUtil<CrMsgLogCU> {
    ID: FieldUtil<CrMsgLogCU>;
    MSG: FieldUtil<CrMsgLogCU>;
    CREATE_TIME: FieldUtil<CrMsgLogCU>;
    USER_ID: FieldUtil<CrMsgLogCU>;
    AD_ID: FieldUtil<CrMsgLogCU>;
    SEND_STATUS: FieldUtil<CrMsgLogCU>;
    SEND_ERROR_DESC: FieldUtil<CrMsgLogCU>;
    SEND_RESULT: FieldUtil<CrMsgLogCU>;
    SEND_TIME: FieldUtil<CrMsgLogCU>;
    UPDATE_TIME: FieldUtil<CrMsgLogCU>;
    FROM_APP: FieldUtil<CrMsgLogCU>;
}
declare class CrMsgLogMU extends TableUtilImpl<CrMsgLogCU, CrMsgLog> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): CrMsgLogCU;
    static get ID(): FieldUtil<CrMsgLogCU>;
    static get MSG(): FieldUtil<CrMsgLogCU>;
    static get CREATE_TIME(): FieldUtil<CrMsgLogCU>;
    static get USER_ID(): FieldUtil<CrMsgLogCU>;
    static get AD_ID(): FieldUtil<CrMsgLogCU>;
    static get SEND_STATUS(): FieldUtil<CrMsgLogCU>;
    static get SEND_ERROR_DESC(): FieldUtil<CrMsgLogCU>;
    static get SEND_RESULT(): FieldUtil<CrMsgLogCU>;
    static get SEND_TIME(): FieldUtil<CrMsgLogCU>;
    static get UPDATE_TIME(): FieldUtil<CrMsgLogCU>;
    static get FROM_APP(): FieldUtil<CrMsgLogCU>;
    get ID(): FieldUtil<CrMsgLogCU>;
    get MSG(): FieldUtil<CrMsgLogCU>;
    get CREATE_TIME(): FieldUtil<CrMsgLogCU>;
    get USER_ID(): FieldUtil<CrMsgLogCU>;
    get AD_ID(): FieldUtil<CrMsgLogCU>;
    get SEND_STATUS(): FieldUtil<CrMsgLogCU>;
    get SEND_ERROR_DESC(): FieldUtil<CrMsgLogCU>;
    get SEND_RESULT(): FieldUtil<CrMsgLogCU>;
    get SEND_TIME(): FieldUtil<CrMsgLogCU>;
    get UPDATE_TIME(): FieldUtil<CrMsgLogCU>;
    get FROM_APP(): FieldUtil<CrMsgLogCU>;
}
export { CrMsgLogMU, CrMsgLogCU };
